Gallery Platform API
Reference

List a contact's tasks

Returns the follow-up tasks on the contact, optionally filtered to open / overdue.

GET
/gallery/contacts/{id}/tasks

Returns the follow-up tasks on the contact, optionally filtered to open / overdue.

Authorization

bearerAuth contacts:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: contacts:read

Path Parameters

id*string

Query Parameters

assignee_id?string
open?string
overdue?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "contact_id": "string",      "created_by": "string",      "assignee_id": "string",      "title": "string",      "due_at": "string",      "done_at": "string",      "created_at": "string",      "updated_at": "string"    }  ]}